Skip to navigation

Rating

The Rating API is used when rating or shopping a shipment. For more information on the Rating API, please visit the Product Overview page.

Authentication

AuthorizationBearer

Find your Client ID and Secret on your app info page.

  1. Select “Try It”
  2. In the Security section enter your Client ID and Secret.
  3. Select “Request Token”
  4. Enter any additional information in the Body and Parameters sections.
  5. Select “Send” to execute your API request

Path parameters

versionstringRequiredDefaults to v2409

Indicates Rate API to display the new release features in Rate API response based on Rate release. See the New section for the latest Rate release.

Valid values:

  • v2409
requestoptionstringRequired<=10 characters

Valid Values:

  • Rate = The server rates (The default Request option is Rate if a Request Option is not provided).
  • Shop = The server validates the shipment, and returns rates for all UPS products from the ShipFrom to the ShipTo addresses.
  • Ratetimeintransit = The server rates with transit time information
  • Shoptimeintransit = The server validates the shipment, and returns rates and transit times for all UPS products from the ShipFrom to the ShipTo addresses.

Rate is the only valid request option for UPS Ground Freight Pricing requests.

Headers

transIdstringOptional
An identifier unique to the request. Length 32
transactionSrcstringOptionalDefaults to testing

An identifier of the client/source application that is making the request.Length 512

Query parameters

additionalinfostringOptional

Valid Values: timeintransit = The server rates with transit time information combined with requestoption in URL.Rate is the only valid request option for Ground Freight Pricing requests. Length 15

Request

Generate sample code for popular API requests by selecting an example below. To view a full sample request and response, first click "Authorize" and enter your application credentials, then populate the required parameters above and click "Try it out".
RateRequestobjectRequired
Rate Request container.

Response

successful operation
RateResponseobject
Rate Response Container.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error